module Middleman
  module Decorators
    class Base
      attr_reader :context
      alias h context

      def initialize(attributes, context)
        @attributes = attributes
        @context    = context

        @attributes.each do |key, val|
          define_singleton_method(key) { val }
        end
      end
    end
  end
end
